unit Fc_wahl;

interface

uses
  WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, ExtCtrls, SysUtils, Dialogs, Fc_form;

type
  TFC_Dateiauswahl = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    Bevel1: TBevel;
    Edit1: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Button1: TButton;
    Button2: TButton;
    Edit2: TEdit;
    OpenDialog: TOpenDialog;
    procedure CancelBtnClick(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  public
    procedure SetFileName(const Name:string);
  end;

var
  FC_Dateiauswahl: TFC_Dateiauswahl;

implementation

{$R *.DFM}


procedure TFC_Dateiauswahl.CancelBtnClick(Sender: TObject);
begin
  Close;
end;


procedure TFC_Dateiauswahl.OKBtnClick(Sender: TObject);
begin
  if not FileExists(Edit1.Text) then begin
    Edit1.SetFocus;
    Exit;
  end;
  if not FileExists(Edit2.Text) then begin
    Edit2.SetFocus;
    Exit;
  end;
  Hide;
  Dateivergleich.Dateien_vergleichen(Edit1.Text,Edit2.Text);
  Dateivergleich.ShowModal;
  Close;
end;


procedure TFC_Dateiauswahl.Button1Click(Sender: TObject);
var
  ext: string[4];
begin
  if OpenDialog.Execute then begin
    Edit1.Text := LowerCase(OpenDialog.FileName);
    if Edit2.Text='' then begin
      if FileExists(ChangeFileExt(Edit1.Text,'.bak')) then
        Edit2.Text := ChangeFileExt(Edit1.Text,'.bak')
      else begin
        ext := ExtractFileExt(Edit1.Text);
        Insert ('~',ext,2);
        if FileExists(ChangeFileExt(Edit1.Text,ext)) then
          Edit2.Text := ChangeFileExt(Edit1.Text,ext);
      end;
    end;
  end;
end;


procedure TFC_Dateiauswahl.Button2Click(Sender: TObject);
begin
  if OpenDialog.Execute then
    Edit2.Text := LowerCase(OpenDialog.FileName);
end;


procedure TFC_Dateiauswahl.SetFileName(const Name:string);
var
  ext: string[4];
begin
  if FileExists(Name) then begin
    Edit1.Text := LowerCase(Name);
    ext := ExtractFileExt(Edit1.Text);
    Insert ('~',ext,2);
    if FileExists(ChangeFileExt(Edit1.Text,ext)) then
      Edit2.Text := ChangeFileExt(Edit1.Text,ext)
    else if (ExtractFileExt(Edit1.Text)<>'.bak')
            and FileExists(ChangeFileExt(Edit1.Text,'.bak')) then
      Edit2.Text := ChangeFileExt(Edit1.Text,'.bak');
  end;
end;

end.
